
#include <stdio.h>
#include <stdlib.h>
#include "crcmodel.h"

int main(int argc,char **argv){
	int i;
	cm_t cm,cm2;
	FILE *f;
	char c;
	
	cm.cm_width=16;
	cm.cm_poly=0x1021;
	cm.cm_init=0xFFFF;
	cm.cm_refin=cm.cm_refot=TRUE;
	cm.cm_xorot=0x0;
	
	cm2.cm_width=32;
	cm2.cm_poly=0x04C11DB7;
	cm2.cm_init=0xFFFFFFFF;
	cm2.cm_refin=cm2.cm_refot=TRUE;
	cm2.cm_xorot=0xFFFFFFFF;
	
	if(argc<2) return;
	
	cm_ini(&cm);
	cm_ini(&cm2);
	f=fopen(argv[1],"rb");
	i=0;
	while(fread(&c,1,1,f)){
		i++;
		cm_nxt(&cm,c);
		cm_nxt(&cm2,c);
	}
	fclose(f);
	printf("%s - %d bytes\n",argv[1],i);
	printf("CRC-16 = %04X\n",cm_crc(&cm));
	printf("CRC-32 = %08X\n",cm_crc(&cm2));
	return 0;
}

